.input-group {
  background: white;
  border: 1px solid rgba(0, 0, 0, .18);
  border-radius: 6px;
  margin: .25em;
  position: relative;
}

.input-group > input {
  border: none;
  min-width: 0;
  width: 100%;
  background: transparent;
  padding: 1em;
}

.input-group input ~ span {
  background: white;
  padding: 0 2px;
  position: absolute;
  left: 1em;
  top: 50%;
  pointer-events: none;
  transform: translateY(-50%);
}

.input-group input::placeholder {
  color: transparent;
}

.input-group input:focus ~ span,
.input-group input:not(:placeholder-shown) ~ span {
  transition: .25s all ease-in-out;
  top: 0;
  font-size: .75em;
  transform: translateY(-50%);
}
